#!/bin/bash

INSPATH=`echo "$1" | sed 's/\/$//g' | sed 's/[\t\r \n]//g'`

if [ -x "$INSPATH/gff_scripts/gffex" ] && [ -d "$INSPATH/gff_scripts" ] && [ -w $INSPATH ] && [ "$INSPATH" != "" ]
then
        echo "copying scripts to $INSPATH/"
        cp $PWD/fetx_scripts/* $INSPATH/gff_scripts/
        cp $PWD/gff_usage.txt $INSPATH/gff_scripts/
#        source $INSPATH/gff_scripts/gff_profile
        echo "[SUCCESS]:FETx installation path set to $INSPATH"
        echo "[SUCCESS]:FETx files copied to $INSPATH"
        echo
        echo "[PERFORM]:To use the program, Run -> source $INSPATH/gff_scripts/gff_profile"
        echo "[PERFORM]:Once above command is executed, using same terminal, move to directoty containing your input files and run FETx as [$GFF/gffex -in <gfffile> -db <genomefile>]"
        echo "[NOTE]:Please remember to run [source $INSPATH/gff_scripts/gff_profile] everytime, before executing FETx"
else
        echo -e "[ERROR]:Installation PATH doesn't exsist OR Installation path not provided OR Installation path not same as GFF_INSTALLATION_PATH OR Directory permission problem"
        echo -e "[PERFORM]:Please run [./install.sh <GFF_INSTALLATION_PATH>]"
fi
